Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036880
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] J. Demo datamajorhave not tried2017-09-18 16:312017-12-13 18:55
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision09b4f3ac83b5
ProjectionnoneETAnoneTarget Version3.0PR17Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036880: Sample data (F&B International Group Client) for 3.0PR17Q4

DescriptionFollowing the "How to evolve F&B" document instructions create the transactions of Jul., Aug. and Sep. 2017 in both organizations (US and Spain) for F&B International Group Client.
Steps To Reproduce1) In a clean instance with no modules, execute:
ant install.source
2) Execute ant update.database and execute ant export.sample.data -Dclient="F&B International Group" -Dmodule=org.openbravo. Commit the changes.
3) Create new transactions
4) Verify the inserted data
5) ant export.sample.data -Dclient="F&B International Group" -Dmodule=org.openbravo
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0099160)
AtulOpenbravo (developer)
2017-09-20 09:02

Test plan:
-Go to purchase order, filtered by the quarter records, check there are 6 purchase order F&B US East Coast (3 for Fruit & Bio, and 3 for Happy Drinks) and 3 purchase orders to F&B US West Coast.
-Go to good receipt, filtered by the quarter records, check there are 6 good receipt F&B US East Coast (3 for Fruit & Bio, and 3 for Happy Drinks) and 3 good receipt to F&B US West Coast.
-Go to purchase invoice, filter by the quarter, check there are 6 purchase invoice F&B US East Coast and 3 purchase invoice to F&B US West Coast.
-Go to purchase invoice, filter by the quarter records, check there are 12 service purchase invoice F&B US, Inc and 12 service purchase invoice to F&B España, S.A.
-Go to payment out and check the suppliers payments
-Go to payment out and check there are a salaries g/l item to F&B España, S.A. and F&B US, Inc ← Only if you have entered a payment, otherwise look at the Financial Account transaction for the G/L Item “Sueldos y Salarios” or “Salaries”.
-Go to g/l journal and check the lines
-Go to sales order filter by the quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.
-Go to goods shipment filter by quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.
-Go to sales invoice filtered by quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.
-Go to sales invoice, filtered <0 in days till next due. Notice that the applied filter resulted 0 records.
-Go to financial account check that there is 1 imported bank statements per quarter and check the reconciliation, to F&B España, S.A. in Cuenta de Banco and F&B US, Inc in Bank Account 1
(0099182)
hgbot (developer)
2017-09-20 18:22

Repository: erp/devel/pi
Changeset: a165cdd87f649ee727cede3d80656ccbeec20349
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Sep 19 02:47:16 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/a165cdd87f649ee727cede3d80656ccbeec20349 [^]

Related to issue 36880: Sample data (F&B International Group Client) for 3.0PR17Q4

Export changes prior to transactional sample data creation

---
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
---
(0099183)
hgbot (developer)
2017-09-20 18:23

Repository: erp/devel/pi
Changeset: 09b4f3ac83b511905b83fe2074e2688494456f96
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Sep 20 12:00:58 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/09b4f3ac83b511905b83fe2074e2688494456f96 [^]

Fixes Issue 36880: Sample data (F&B International Group Client) for 3.0PR17Q4

Sample data (F&B International Group Client) for 3.0PR17Q4 for the month of Jul., Aug.
and Sep. 2017. Following the "How to evolve F&B" document instructions transactions
created for 3.0PR17Q4 release.

---
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_REQUEST.xml
M referencedata/sampledata/F_B_International_Group/AD_SEQUENCE.xml
M referencedata/sampledata/F_B_International_Group/AD_USER.xml
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINE.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERTAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER_DISCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENTLINE.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINACC_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINANCIAL_ACCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROPOSAL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROP_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULE.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULEDETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_RECONCILIATION.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNAL.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALBATCH.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALLINE.xml
M referencedata/sampledata/F_B_International_Group/M_ATTRIBUTESETINSTANCE.xml
M referencedata/sampledata/F_B_International_Group/M_COSTING.xml
M referencedata/sampledata/F_B_International_Group/M_INOUT.xml
M referencedata/sampledata/F_B_International_Group/M_INOUTLINE.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHINV.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHPO.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_PENDING.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION_COST.xml
---
(0099184)
hgbot (developer)
2017-09-20 18:24

Repository: erp/devel/pi
Changeset: bf62b6f1ff397ba76308113a6ad35dafb4ca22fe
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Sep 20 17:59:44 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bf62b6f1ff397ba76308113a6ad35dafb4ca22fe [^]

Related to issue 36880: Add conversion rate between EUR and USD for next 3 months

---
M referencedata/sampledata/F_B_International_Group/C_CONVERSION_RATE.xml
---
(0099186)
aferraz (developer)
2017-09-20 18:42

Code review + Testing OK
(0099425)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099426)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099427)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-09-18 16:31 AtulOpenbravo New Issue
2017-09-18 16:31 AtulOpenbravo Assigned To => AtulOpenbravo
2017-09-18 16:31 AtulOpenbravo Modules => Core
2017-09-18 16:31 AtulOpenbravo Triggers an Emergency Pack => No
2017-09-18 17:52 AtulOpenbravo Target Version => 3.0PR17Q4
2017-09-19 19:43 AtulOpenbravo Status new => scheduled
2017-09-20 09:02 AtulOpenbravo Note Added: 0099160
2017-09-20 18:22 hgbot Checkin
2017-09-20 18:22 hgbot Note Added: 0099182
2017-09-20 18:23 hgbot Checkin
2017-09-20 18:23 hgbot Note Added: 0099183
2017-09-20 18:23 hgbot Status scheduled => resolved
2017-09-20 18:23 hgbot Resolution open => fixed
2017-09-20 18:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/09b4f3ac83b511905b83fe2074e2688494456f96 [^]
2017-09-20 18:24 hgbot Checkin
2017-09-20 18:24 hgbot Note Added: 0099184
2017-09-20 18:42 aferraz Review Assigned To => aferraz
2017-09-20 18:42 aferraz Note Added: 0099186
2017-09-20 18:42 aferraz Status resolved => closed
2017-09-20 18:42 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099425
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099426
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099427
2017-12-13 18:55 AtulOpenbravo Issue cloned 0037473


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker